DCMTK: DcmTLSECUnknownCiphersuiteConst Struct Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DcmTLSECUnknownCiphersuiteConst Struct Reference

A struct for creating an unknown ciphersuite error condition. More...

Inheritance diagram for DcmTLSECUnknownCiphersuiteConst:

## Public Member Functions
| DcmTLSECUnknownCiphersuiteConst ()
| Constructor, initializes the OFConditionConst base.
OFCondition | operator() (const char *ciphersuiteName) const
| Create a specialized unknown ciphersuite error condition that refers to the name of the unknown ciphersuite that was used.
Public Member Functions inherited from OFConditionConst
OFBool | operator== (const OFConditionConst &arg) const
| comparison operator.
OFBool | operator!= (const OFConditionConst &arg) const
| comparison operator.

## Additional Inherited Members
Public Attributes inherited from OFConditionConst
unsigned short | theModule
| module identifier. 0 is reserved for global codes.
unsigned short | theCode
| status code that is unique for each module
OFStatus | theStatus
| condition status enum
const char * | theText
| error text

## Detailed Description

A struct for creating an unknown ciphersuite error condition.

## Constructor & Destructor Documentation

## ◆ DcmTLSECUnknownCiphersuiteConst()

DcmTLSECUnknownCiphersuiteConst::DcmTLSECUnknownCiphersuiteConst | ( |  | ) |

Constructor, initializes the OFConditionConst base.

Don't use this if you don't have a very good reason.

## Member Function Documentation

## ◆ operator()()

OFCondition DcmTLSECUnknownCiphersuiteConst::operator() | ( | const char * | ciphersuiteName | ) | const

Create a specialized unknown ciphersuite error condition that refers to the name of the unknown ciphersuite that was used.

Parameters

  ciphersuiteName | the name of the unknown ciphersuite.

Returns
  an OFCondition that compares equal to DCMTLS_EC_UnknownCiphersuite but also refers to the name of the ciphersuite in its descriptive text.

The documentation for this struct was generated from the following file:

- dcmtls/include/dcmtk/dcmtls/tlscond.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2